Module javafx.graphics
Package javafx.css.converter

# Class DeriveSizeConverter

java.lang.Object
javafx.css.StyleConverter<ParsedValue<Size,​Size>[],​Size>
javafx.css.converter.DeriveSizeConverter

    public final class DeriveSizeConverter
    extends StyleConverter<ParsedValue<Size,​Size>[],​Size>

A type that combines two Size values. The primary purpose of this type is to handle "convert(size1, size2)" expressions in CSS.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javafx.css.StyleConverter

  `StyleConverter.StringStore`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Size` | `convert​(ParsedValue<ParsedValue<Size,​Size>[],​Size> value, Font font)` | Convert from the parsed CSS value to the target property type.
  `static DeriveSizeConverter` | `getInstance()` |
  `String` | `toString()` |

  ### Methods inherited from class javafx.css.StyleConverter

  `cacheValue, clearCache, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static DeriveSizeConverter getInstance()

  - ### convert

    public Size convert​(ParsedValue<ParsedValue<Size,​Size>[],​Size> value, Font font)
    Description copied from class: `StyleConverter`
    Convert from the parsed CSS value to the target property type.
    Overrides:
      `convert` in class `StyleConverter<ParsedValue<Size,​Size>[],​Size>`
    Parameters:
      `value` - The `ParsedValue` to convert
      `font` - The `Font` to use when converting a relative value.
    Returns:
      the converted target property type

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`